Subject: Re: bug#25526: 26.0.50; Gnus sometimes doesn't show article header fully

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 12 Apr 2018 14:52:43 +0900

On Thu, 12 Apr 2018 00:34:06 +0200, Lars Ingebrigtsen wrote:
> Katsumi Yamaoka <[email-masked]> writes:

>> I was sometimes annoyed with this problem, but I have found
>> neither a cause of it nor a solution so far.  But this is a
>> workaround I found today:

>> (add-hook
>>  'gnus-article-prepare-hook
>>  (lambda ()
>>    (save-selected-window
>>      (select-window (get-buffer-window gnus-article-buffer))
>>      (goto-char (point-min)))))

Oh, I totally forgot the problem bacause of having set this hook,
but by removing the hook I confirmed it still exists.  Thank you
for following this up.

> Did you try to do the same thing, only just putting it into the Gnus
> source code?  :-)  It kinda looks like the right thing to do, but I
> don't know anymore what with the hooks and stuff for dedicated windows
> and stuff...

I tried this,

--- gnus-art.el~	2018-03-25 21:34:24.056766300 +0000
+++ gnus-art.el	2018-04-12 05:50:51.190490800 +0000
@@ -4699,2 +4699,6 @@
 	    (gnus-configure-windows 'article)
+	    ;; Make sure the article begins with the top of the header.
+	    (save-selected-window
+	      (select-window (get-buffer-window gnus-article-buffer))
+	      (goto-char (point-min)))
 	    (gnus-run-hooks 'gnus-article-prepare-hook)

and verified it does the trick, too.  The point is that to select
the article window while performing (goto-char (point-min)).

Regards,